### Hierarchy

- JenkinsChangeSet

### Implements

- IJenkinsChangeSet

## Index

### Constructors

- constructor

### Properties

- _class
- affectedPaths
- author
- authorData
- authorEmail
- comment
- commitId
- date
- id
- jsonData
- msg
- paths
- timestamp

### Methods

- fromJson
- fromJsonString
- getJsonData

## Constructors

### constructor

- new JenkinsChangeSet(): JenkinsChangeSet

- - Defined in JenkinsChangeSet.ts:21

  #### Returns JenkinsChangeSet

## Properties

### _class

_class: string

Implementation of IJenkinsChangeSet._class

- Defined in JenkinsChangeSet.ts:9

### affectedPaths

affectedPaths: Array<string>

Implementation of IJenkinsChangeSet.affectedPaths

- Defined in JenkinsChangeSet.ts:10

### author

author: IJenkinsUser

Implementation of IJenkinsChangeSet.author

- Defined in JenkinsChangeSet.ts:21

### authorData

authorData: any

Implementation of IJenkinsChangeSet.authorData

- Defined in JenkinsChangeSet.ts:20

### authorEmail

authorEmail: string

Implementation of IJenkinsChangeSet.authorEmail

- Defined in JenkinsChangeSet.ts:13

### comment

comment: string

Implementation of IJenkinsChangeSet.comment

- Defined in JenkinsChangeSet.ts:14

### commitId

commitId: string

Implementation of IJenkinsChangeSet.commitId

- Defined in JenkinsChangeSet.ts:11

### date

date: Date

Implementation of IJenkinsChangeSet.date

- Defined in JenkinsChangeSet.ts:15

### id

id: string

Implementation of IJenkinsChangeSet.id

- Defined in JenkinsChangeSet.ts:16

### jsonData

jsonData: JSON

- Defined in JenkinsChangeSet.ts:7

### msg

msg: string

Implementation of IJenkinsChangeSet.msg

- Defined in JenkinsChangeSet.ts:17

### paths

paths: Array<any>

Implementation of IJenkinsChangeSet.paths

- Defined in JenkinsChangeSet.ts:19

### timestamp

timestamp: number

Implementation of IJenkinsChangeSet.timestamp

- Defined in JenkinsChangeSet.ts:12

## Methods

### fromJson

- fromJson(data: JSON): void

- Implementation of IJenkinsChangeSet.fromJson

  - Defined in JenkinsChangeSet.ts:39

  #### Parameters

  - ##### data: JSON

  #### Returns void

### fromJsonString

- fromJsonString(json: string): void

- Implementation of IJenkinsChangeSet.fromJsonString

  - Defined in JenkinsChangeSet.ts:32

  #### Parameters

  - ##### json: string

  #### Returns void

### getJsonData

- getJsonData(): string

- Implementation of IJenkinsChangeSet.getJsonData

  - Defined in JenkinsChangeSet.ts:28

  #### Returns string

Generated using TypeDoc